Package: io.vertx.groovy.core.dns

## [Groovy] Class SrvRecord

- io.vertx.groovy.core.dns.SrvRecord

- Represent a Service-Record (SRV) which was resolved for a domain.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SrvRecord (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getDelegate()`
    `java.lang.String` | `name()` Returns the name for the server being queried.
    `int` | `port()` Returns the port the service is running on.
    `int` | `priority()` Returns the priority for this service record.
    `java.lang.String` | `protocol()` Returns the protocol for the service being queried (i.e.
    `java.lang.String` | `service()` Returns the service's name (i.e.
    `java.lang.String` | `target()` Returns the name of the host for the service.
    `int` | `weight()` Returns the weight of this service record.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### SrvRecord(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.Object getDelegate()

    - #### java.lang.String name()

      Returns the name for the server being queried.

      Returns:

    - #### int port()

      Returns the port the service is running on.

      Returns:

    - #### int priority()

      Returns the priority for this service record.

      Returns:

    - #### java.lang.String protocol()

      Returns the protocol for the service being queried (i.e. "_tcp").

      Returns:

    - #### java.lang.String service()

      Returns the service's name (i.e. "_http").

      Returns:

    - #### java.lang.String target()

      Returns the name of the host for the service.

      Returns:

    - #### int weight()

      Returns the weight of this service record.

      Returns: